NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::StepBuilder Class Reference

Represents a NXOpen::Features::Step builder
To create a new instance of this class, use NXOpen::Features::AeroCollection::CreateStepBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::StepBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  DepthMethods { DepthMethodsOffsetFace, DepthMethodsToSelected }
 Represents face operations applied to the motion face. More...
 
enum  ReferenceBoundaryTypes {
  ReferenceBoundaryTypesFace, ReferenceBoundaryTypesDatumPlane, ReferenceBoundaryTypesCurve, ReferenceBoundaryTypesEdge,
  ReferenceBoundaryTypesShareFirst
}
 Represents selected type as reference boundary object. More...
 
enum  StepFaceMethods {
  StepFaceMethodsNormal, StepFaceMethodsAlignwithReferenceFace, StepFaceMethodsRuledRamp, StepFaceMethodsVariableOffsetRamp,
  StepFaceMethodsBlend
}
 Represents face operations applied to the step face. More...
 
enum  StepLocations { StepLocationsEnd, StepLocationsMiddle }
 Represents the step location. More...
 
enum  StepNewTypes { StepNewTypesThick, StepNewTypesThin, StepNewTypesJog, StepNewTypesChamfer }
 Represents the step feature new type since NX12. More...
 
enum  StepTypes { StepTypesEnd, StepTypesMiddle, StepTypesChamfer }
 Represents the step feature type. More...
 
enum  StepWallMethods {
  StepWallMethodsNormal, StepWallMethodsOffsetofStepFace, StepWallMethodsRuledRamp, StepWallMethodsVariableOffsetRamp,
  StepWallMethodsBlend, StepWallMethodsExtendtoNext, StepWallMethodsExtendtoSelected
}
 Represents face operation applied to the step wall face. More...
 

Public Member Functions

NXOpen::ScCollectorBeltFace ()
 Returns the selected belt face
Created in NX10.0.0. More...
 
NXOpen::ExpressionBoundaryOffsetDim1 ()
 Returns the boundary offset dimesion 1
Created in NX10.0.0. More...
 
NXOpen::ExpressionBoundaryOffsetDim2 ()
 Returns the boundary offset dimension 2
Created in NX10.0.0. More...
 
bool ChangeWallThickness ()
 Returns the change wall thickness
Created in NX10.0.0. More...
 
NXOpen::Features::StepBuilder::DepthMethods DepthMethod ()
 Returns the selected step depth method
Created in NX10.0.0. More...
 
bool KeepWallThickness ()
 Returns the keep wall thickness
Created in NX10.0.0. More...
 
NXOpen::GeometricUtilities::ProjectionOptionsProjectionDirection1 ()
 Returns the project direction options used to project boundary section curve 1 onto the belt face
Created in NX10.0.0. More...
 
NXOpen::GeometricUtilities::ProjectionOptionsProjectionDirection2 ()
 Returns the project direction options used to project boundary section curve 2 onto the belt face
Created in NX10.0.0. More...
 
NXOpen::Features::StepBuilder::ReferenceBoundaryTypes RefObjectType1 ()
 Returns the reference object type 1
Created in NX10.0.0. More...
 
NXOpen::Features::StepBuilder::ReferenceBoundaryTypes RefObjectType2 ()
 Returns the reference object type 2
Created in NX10.0.0. More...
 
bool ReverseBoundary1Direction ()
 Returns the reverse offset reference object 1 direction
Created in NX10.0.0. More...
 
bool ReverseBoundary2Direction ()
 Returns the reverse offset reference object 2 direction
Created in NX10.0.0. More...
 
bool ReverseDepthDirection ()
 Returns the reverse offset face direction
Created in NX10.0.0. More...
 
bool ReverseMotionSide ()
 Returns the reverse motion side
Created in NX10.0.0. More...
 
NXOpen::ScCollectorSelectBoundaryEdge1 ()
 Returns the selected boundary edge 1
Created in NX10.0.0. More...
 
NXOpen::ScCollectorSelectBoundaryEdge2 ()
 Returns the selected boundary edge2
Created in NX10.0.0. More...
 
NXOpen::ScCollectorSelectBoundaryFace1 ()
 Returns the selected boundary face 1
Created in NX10.0.0. More...
 
NXOpen::ScCollectorSelectBoundaryFace2 ()
 Returns the selected boundary face 2
Created in NX10.0.0. More...
 
NXOpen::PlaneSelectBoundaryPlane1 ()
 Returns the selected boundary plane 1
Created in NX10.0.0. More...
 
NXOpen::PlaneSelectBoundaryPlane2 ()
 Returns the selected boundary plane 2
Created in NX10.0.0. More...
 
NXOpen::SectionSelectBoundarySection1 ()
 Returns the selected boundary section 1
Created in NX10.0.0. More...
 
NXOpen::SectionSelectBoundarySection2 ()
 Returns the selected boundary section2
Created in NX10.0.0. More...
 
NXOpen::ScCollectorSelectReplacementFace ()
 Returns the selected replacement face
Created in NX10.0.0. More...
 
NXOpen::ScCollectorSelectStepWallReplmFace1 ()
 Returns the selected step wall replacement face 1
Created in NX11.0.0. More...
 
NXOpen::ScCollectorSelectStepWallReplmFace2 ()
 Returns the selected step wall replacement face 2
Created in NX11.0.0. More...
 
void SetChangeWallThickness (bool changeWallThickness)
 Sets the change wall thickness
Created in NX10.0.0. More...
 
void SetDepthMethod (NXOpen::Features::StepBuilder::DepthMethods depthMethod)
 Sets the selected step depth method
Created in NX10.0.0. More...
 
void SetKeepWallThickness (bool keepWallThickness)
 Sets the keep wall thickness
Created in NX10.0.0. More...
 
void SetRefObjectType1 (NXOpen::Features::StepBuilder::ReferenceBoundaryTypes refObjectType1)
 Sets the reference object type 1
Created in NX10.0.0. More...
 
void SetRefObjectType2 (NXOpen::Features::StepBuilder::ReferenceBoundaryTypes refObjectType2)
 Sets the reference object type 2
Created in NX10.0.0. More...
 
void SetReverseBoundary1Direction (bool reverseBoundary1Direction)
 Sets the reverse offset reference object 1 direction
Created in NX10.0.0. More...
 
void SetReverseBoundary2Direction (bool reverseBoundary2Direction)
 Sets the reverse offset reference object 2 direction
Created in NX10.0.0. More...
 
void SetReverseDepthDirection (bool reverseDepthDirection)
 Sets the reverse offset face direction
Created in NX10.0.0. More...
 
void SetReverseMotionSide (bool reverseMotionSide)
 Sets the reverse motion side
Created in NX10.0.0. More...
 
void SetSelectBoundaryPlane1 (NXOpen::Plane *selectBoundaryPlane1)
 Sets the selected boundary plane 1
Created in NX10.0.0. More...
 
void SetSelectBoundaryPlane2 (NXOpen::Plane *selectBoundaryPlane2)
 Sets the selected boundary plane 2
Created in NX10.0.0. More...
 
void SetStepFaceMethod1 (NXOpen::Features::StepBuilder::StepFaceMethods stepFaceMethod1)
 Sets the step face method 1
Created in NX10.0.0. More...
 
void SetStepFaceMethod2 (NXOpen::Features::StepBuilder::StepFaceMethods stepFaceMethod2)
 Sets the step face method 2
Created in NX10.0.0. More...
 
void SetStepLocation (NXOpen::Features::StepBuilder::StepLocations stepLocation)
 Sets the step location
Created in NX12.0.0. More...
 
void SetStepNewType (NXOpen::Features::StepBuilder::StepNewTypes stepNewType)
 Sets the step new type
Created in NX12.0.0. More...
 
void SetStepType (NXOpen::Features::StepBuilder::StepTypes stepType)
 Sets the step type
Created in NX10.0.0. More...
 
void SetStepWallMethod1 (NXOpen::Features::StepBuilder::StepWallMethods stepWallMethod1)
 Sets the step wall method 1
Created in NX10.0.0. More...
 
void SetStepWallMethod2 (NXOpen::Features::StepBuilder::StepWallMethods stepWallMethod2)
 Sets the step wall method 2
Created in NX10.0.0. More...
 
NXOpen::ExpressionSpecifiedWallThicknessDim ()
 Returns the wall thickness dimension
Created in NX10.0.0. More...
 
NXOpen::ExpressionStepBlendRadiusDim1 ()
 Returns the step blend radius dimension 1
Created in NX11.0.0. More...
 
NXOpen::ExpressionStepBlendRadiusDim2 ()
 Returns the step blend radius dimension 2
Created in NX11.0.0. More...
 
NXOpen::ExpressionStepDepthDim ()
 Returns the step depth dimension
Created in NX10.0.0. More...
 
NXOpen::Features::StepBuilder::StepFaceMethods StepFaceMethod1 ()
 Returns the step face method 1
Created in NX10.0.0. More...
 
NXOpen::Features::StepBuilder::StepFaceMethods StepFaceMethod2 ()
 Returns the step face method 2
Created in NX10.0.0. More...
 
NXOpen::Features::StepBuilder::StepLocations StepLocation ()
 Returns the step location
Created in NX12.0.0. More...
 
NXOpen::Features::StepBuilder::StepNewTypes StepNewType ()
 Returns the step new type
Created in NX12.0.0. More...
 
NXOpen::ExpressionStepRampDim1 ()
 Returns the step ramp dimension 1
Created in NX11.0.0. More...
 
NXOpen::ExpressionStepRampDim2 ()
 Returns the step ramp dimension 2
Created in NX11.0.0. More...
 
NXOpen::Features::StepBuilder::StepTypes StepType ()
 Returns the step type
Created in NX10.0.0. More...
 
NXOpen::ExpressionStepWallBlendRadiusDim1 ()
 Returns the step wall blend radius dimension 1
Created in NX11.0.0. More...
 
NXOpen::ExpressionStepWallBlendRadiusDim2 ()
 Returns the step wall blend radius dimension 2
Created in NX11.0.0. More...
 
NXOpen::Features::StepBuilder::StepWallMethods StepWallMethod1 ()
 Returns the step wall method 1
Created in NX10.0.0. More...
 
NXOpen::Features::StepBuilder::StepWallMethods StepWallMethod2 ()
 Returns the step wall method 2
Created in NX10.0.0. More...
 
NXOpen::ExpressionStepWallRampDim1 ()
 Returns the step wall ramp dimension 1
Created in NX11.0.0. More...
 
NXOpen::ExpressionStepWallRampDim2 ()
 Returns the step wall ramp dimension 2
Created in NX11.0.0. More...
 
NXOpen::ExpressionStepWallThickDim1 ()
 Returns the step wall thickness dimension 1
Created in NX10.0.0. More...
 
NXOpen::ExpressionStepWallThickDim2 ()
 Returns the step wall thickness dimension 2
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::Step builder
To create a new instance of this class, use NXOpen::Features::AeroCollection::CreateStepBuilder
Default values.

Property Value

BoundaryOffsetDim1.Value

10 (millimeters part), 0.5 (inches part)

BoundaryOffsetDim2.Value

10 (millimeters part), 0.5 (inches part)

ChangeWallThickness

0

DepthMethod

OffsetFace

KeepWallThickness

0

RefObjectType1

Edge

RefObjectType2

Edge

ReverseDepthDirection

True

SpecifiedWallThicknessDim.Value

5 (millimeters part), 0.25 (inches part)

StepBlendRadiusDim1.Value

1 (millimeters part), 0.1 (inches part)

StepBlendRadiusDim2.Value

1 (millimeters part), 0.1 (inches part)

StepDepthDim.Value

10 (millimeters part), 0.5 (inches part)

StepFaceMethod1

Normal

StepFaceMethod2

Normal

StepLocation

End

StepNewType

Thick

StepRampDim1.Value

10 (millimeters part), 0.5 (inches part)

StepRampDim2.Value

10 (millimeters part), 0.5 (inches part)

StepType

End

StepWallBlendRadiusDim1.Value

1 (millimeters part), 0.1 (inches part)

StepWallBlendRadiusDim2.Value

1 (millimeters part), 0.1 (inches part)

StepWallMethod1

Normal

StepWallMethod2

Normal

StepWallRampDim1.Value

10 (millimeters part), 0.5 (inches part)

StepWallRampDim2.Value

10 (millimeters part), 0.5 (inches part)

StepWallThickDim1.Value

10 (millimeters part), 0.5 (inches part)

StepWallThickDim2.Value

10 (millimeters part), 0.5 (inches part)


Created in NX10.0.0.

Member Enumeration Documentation

Represents face operations applied to the motion face.

Enumerator
DepthMethodsOffsetFace 

Offsets the motion face to produce a step.

DepthMethodsToSelected 

Replaces the motion face with a selected face to produce a step.

Represents selected type as reference boundary object.

Enumerator
ReferenceBoundaryTypesFace 

Select faces as reference boundary object.

ReferenceBoundaryTypesDatumPlane 

Select datum plane as reference boundary object.

ReferenceBoundaryTypesCurve 

Select section curves as reference boundary object.

ReferenceBoundaryTypesEdge 

Select edges as reference boundary object.

ReferenceBoundaryTypesShareFirst 

share first

Represents face operations applied to the step face.

Enumerator
StepFaceMethodsNormal 

Orients the step face normal to the stationary face.

StepFaceMethodsAlignwithReferenceFace 

Aligns the step face with the reference face.

StepFaceMethodsRuledRamp 

Replaces the step face with a ruled ramp face.

StepFaceMethodsVariableOffsetRamp 

Replaces the step face with a variable offset ramp face.

StepFaceMethodsBlend 

Blends the step face.

Represents the step location.

Enumerator
StepLocationsEnd 

Step is located on one side of a face.

StepLocationsMiddle 

Step is located on middle of two boudary curves.

Represents the step feature new type since NX12.

Enumerator
StepNewTypesThick 

Adds a step to thick a face.

StepNewTypesThin 

Adds a step to thin a face.

StepNewTypesJog 

Adds a step to thin a belt face and wall face.

StepNewTypesChamfer 

Adds a step at the edge of a face similar to a chamfer.

Represents the step feature type.

Enumerator
StepTypesEnd 

Adds a step from a boundary to the edge of a face.

StepTypesMiddle 

Adds a step between two boundary curves.

StepTypesChamfer 

Adds a step at the edge of a face similar to a chamfer.

Represents face operation applied to the step wall face.

Enumerator
StepWallMethodsNormal 

Orients the step-wall face normal to the input face.

StepWallMethodsOffsetofStepFace 

Makes the step-wall face offset from the step face.

StepWallMethodsRuledRamp 

Replaces the step-wall face with a ruled ramp face.

StepWallMethodsVariableOffsetRamp 

Replaces the step-wall face with a variable offset ramp face.

StepWallMethodsBlend 

Blends the step-wall face.

StepWallMethodsExtendtoNext 

Extends the wall face to intersect the next face.

StepWallMethodsExtendtoSelected 

Extends the wall face to a selected face.

Member Function Documentation

NXOpen::ScCollector* NXOpen::Features::StepBuilder::BeltFace ( )

Returns the selected belt face
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::StepBuilder::BoundaryOffsetDim1 ( )

Returns the boundary offset dimesion 1
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::StepBuilder::BoundaryOffsetDim2 ( )

Returns the boundary offset dimension 2
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::StepBuilder::ChangeWallThickness ( )

Returns the change wall thickness
Created in NX10.0.0.



License requirements : None

NXOpen::Features::StepBuilder::DepthMethods NXOpen::Features::StepBuilder::DepthMethod ( )

Returns the selected step depth method
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::StepBuilder::KeepWallThickness ( )

Returns the keep wall thickness
Created in NX10.0.0.



License requirements : None

NXOpen::GeometricUtilities::ProjectionOptions* NXOpen::Features::StepBuilder::ProjectionDirection1 ( )

Returns the project direction options used to project boundary section curve 1 onto the belt face
Created in NX10.0.0.



License requirements : None

NXOpen::GeometricUtilities::ProjectionOptions* NXOpen::Features::StepBuilder::ProjectionDirection2 ( )

Returns the project direction options used to project boundary section curve 2 onto the belt face
Created in NX10.0.0.



License requirements : None

NXOpen::Features::StepBuilder::ReferenceBoundaryTypes NXOpen::Features::StepBuilder::RefObjectType1 ( )

Returns the reference object type 1
Created in NX10.0.0.



License requirements : None

NXOpen::Features::StepBuilder::ReferenceBoundaryTypes NXOpen::Features::StepBuilder::RefObjectType2 ( )

Returns the reference object type 2
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::StepBuilder::ReverseBoundary1Direction ( )

Returns the reverse offset reference object 1 direction
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::StepBuilder::ReverseBoundary2Direction ( )

Returns the reverse offset reference object 2 direction
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::StepBuilder::ReverseDepthDirection ( )

Returns the reverse offset face direction
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::StepBuilder::ReverseMotionSide ( )

Returns the reverse motion side
Created in NX10.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::StepBuilder::SelectBoundaryEdge1 ( )

Returns the selected boundary edge 1
Created in NX10.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::StepBuilder::SelectBoundaryEdge2 ( )

Returns the selected boundary edge2
Created in NX10.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::StepBuilder::SelectBoundaryFace1 ( )

Returns the selected boundary face 1
Created in NX10.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::StepBuilder::SelectBoundaryFace2 ( )

Returns the selected boundary face 2
Created in NX10.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::StepBuilder::SelectBoundaryPlane1 ( )

Returns the selected boundary plane 1
Created in NX10.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::StepBuilder::SelectBoundaryPlane2 ( )

Returns the selected boundary plane 2
Created in NX10.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::StepBuilder::SelectBoundarySection1 ( )

Returns the selected boundary section 1
Created in NX10.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::StepBuilder::SelectBoundarySection2 ( )

Returns the selected boundary section2
Created in NX10.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::StepBuilder::SelectReplacementFace ( )

Returns the selected replacement face
Created in NX10.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::StepBuilder::SelectStepWallReplmFace1 ( )

Returns the selected step wall replacement face 1
Created in NX11.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::StepBuilder::SelectStepWallReplmFace2 ( )

Returns the selected step wall replacement face 2
Created in NX11.0.0.



License requirements : None

void NXOpen::Features::StepBuilder::SetChangeWallThickness ( bool  changeWallThickness)

Sets the change wall thickness
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
changeWallThicknesschangewallthickness
void NXOpen::Features::StepBuilder::SetDepthMethod ( NXOpen::Features::StepBuilder::DepthMethods  depthMethod)

Sets the selected step depth method
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
depthMethoddepthmethod
void NXOpen::Features::StepBuilder::SetKeepWallThickness ( bool  keepWallThickness)

Sets the keep wall thickness
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
keepWallThicknesskeepwallthickness
void NXOpen::Features::StepBuilder::SetRefObjectType1 ( NXOpen::Features::StepBuilder::ReferenceBoundaryTypes  refObjectType1)

Sets the reference object type 1
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
refObjectType1refobjecttype1
void NXOpen::Features::StepBuilder::SetRefObjectType2 ( NXOpen::Features::StepBuilder::ReferenceBoundaryTypes  refObjectType2)

Sets the reference object type 2
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
refObjectType2refobjecttype2
void NXOpen::Features::StepBuilder::SetReverseBoundary1Direction ( bool  reverseBoundary1Direction)

Sets the reverse offset reference object 1 direction
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
reverseBoundary1Directionreverseboundary1direction
void NXOpen::Features::StepBuilder::SetReverseBoundary2Direction ( bool  reverseBoundary2Direction)

Sets the reverse offset reference object 2 direction
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
reverseBoundary2Directionreverseboundary2direction
void NXOpen::Features::StepBuilder::SetReverseDepthDirection ( bool  reverseDepthDirection)

Sets the reverse offset face direction
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
reverseDepthDirectionreversedepthdirection
void NXOpen::Features::StepBuilder::SetReverseMotionSide ( bool  reverseMotionSide)

Sets the reverse motion side
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
reverseMotionSidereversemotionside
void NXOpen::Features::StepBuilder::SetSelectBoundaryPlane1 ( NXOpen::Plane selectBoundaryPlane1)

Sets the selected boundary plane 1
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
selectBoundaryPlane1selectboundaryplane1
void NXOpen::Features::StepBuilder::SetSelectBoundaryPlane2 ( NXOpen::Plane selectBoundaryPlane2)

Sets the selected boundary plane 2
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
selectBoundaryPlane2selectboundaryplane2
void NXOpen::Features::StepBuilder::SetStepFaceMethod1 ( NXOpen::Features::StepBuilder::StepFaceMethods  stepFaceMethod1)

Sets the step face method 1
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
stepFaceMethod1stepfacemethod1
void NXOpen::Features::StepBuilder::SetStepFaceMethod2 ( NXOpen::Features::StepBuilder::StepFaceMethods  stepFaceMethod2)

Sets the step face method 2
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
stepFaceMethod2stepfacemethod2
void NXOpen::Features::StepBuilder::SetStepLocation ( NXOpen::Features::StepBuilder::StepLocations  stepLocation)

Sets the step location
Created in NX12.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
stepLocationsteplocation
void NXOpen::Features::StepBuilder::SetStepNewType ( NXOpen::Features::StepBuilder::StepNewTypes  stepNewType)

Sets the step new type
Created in NX12.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
stepNewTypestepnewtype
void NXOpen::Features::StepBuilder::SetStepType ( NXOpen::Features::StepBuilder::StepTypes  stepType)

Sets the step type
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
stepTypesteptype
void NXOpen::Features::StepBuilder::SetStepWallMethod1 ( NXOpen::Features::StepBuilder::StepWallMethods  stepWallMethod1)

Sets the step wall method 1
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
stepWallMethod1stepwallmethod1
void NXOpen::Features::StepBuilder::SetStepWallMethod2 ( NXOpen::Features::StepBuilder::StepWallMethods  stepWallMethod2)

Sets the step wall method 2
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
stepWallMethod2stepwallmethod2
NXOpen::Expression* NXOpen::Features::StepBuilder::SpecifiedWallThicknessDim ( )

Returns the wall thickness dimension
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::StepBuilder::StepBlendRadiusDim1 ( )

Returns the step blend radius dimension 1
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::StepBuilder::StepBlendRadiusDim2 ( )

Returns the step blend radius dimension 2
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::StepBuilder::StepDepthDim ( )

Returns the step depth dimension
Created in NX10.0.0.



License requirements : None

NXOpen::Features::StepBuilder::StepFaceMethods NXOpen::Features::StepBuilder::StepFaceMethod1 ( )

Returns the step face method 1
Created in NX10.0.0.



License requirements : None

NXOpen::Features::StepBuilder::StepFaceMethods NXOpen::Features::StepBuilder::StepFaceMethod2 ( )

Returns the step face method 2
Created in NX10.0.0.



License requirements : None

NXOpen::Features::StepBuilder::StepLocations NXOpen::Features::StepBuilder::StepLocation ( )

Returns the step location
Created in NX12.0.0.



License requirements : nx_aero_design (" NX Aero Design")

NXOpen::Features::StepBuilder::StepNewTypes NXOpen::Features::StepBuilder::StepNewType ( )

Returns the step new type
Created in NX12.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::StepBuilder::StepRampDim1 ( )

Returns the step ramp dimension 1
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::StepBuilder::StepRampDim2 ( )

Returns the step ramp dimension 2
Created in NX11.0.0.



License requirements : None

NXOpen::Features::StepBuilder::StepTypes NXOpen::Features::StepBuilder::StepType ( )

Returns the step type
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::StepBuilder::StepWallBlendRadiusDim1 ( )

Returns the step wall blend radius dimension 1
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::StepBuilder::StepWallBlendRadiusDim2 ( )

Returns the step wall blend radius dimension 2
Created in NX11.0.0.



License requirements : None

NXOpen::Features::StepBuilder::StepWallMethods NXOpen::Features::StepBuilder::StepWallMethod1 ( )

Returns the step wall method 1
Created in NX10.0.0.



License requirements : None

NXOpen::Features::StepBuilder::StepWallMethods NXOpen::Features::StepBuilder::StepWallMethod2 ( )

Returns the step wall method 2
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::StepBuilder::StepWallRampDim1 ( )

Returns the step wall ramp dimension 1
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::StepBuilder::StepWallRampDim2 ( )

Returns the step wall ramp dimension 2
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::StepBuilder::StepWallThickDim1 ( )

Returns the step wall thickness dimension 1
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::StepBuilder::StepWallThickDim2 ( )

Returns the step wall thickness dimension 2
Created in NX10.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.